Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 16462)
@@ -22,8 +22,8 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("1416F47D-BEFC-4127-AC55-971099AAD93D")]
   internal class BidirectionalLookup<TFirst, TSecond> {
     [Storable]
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected BidirectionalLookup(bool deserializing) : base() { }
+    protected BidirectionalLookup(StorableConstructorFlag _) { }
 
     public BidirectionalLookup() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs	(revision 16462)
@@ -23,11 +23,11 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("92043EDD-87B0-42E9-A66F-230CC955C6D3")]
   public class ConnectionInfo : DeepCloneable, IConnectionInfo {
     [StorableConstructor]
-    protected ConnectionInfo(bool deserializing) : base() { }
+    protected ConnectionInfo(StorableConstructorFlag _) { }
     protected ConnectionInfo(ConnectionInfo original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs	(revision 16462)
@@ -25,11 +25,11 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("85B8035F-C25D-4C75-A2A2-21230A08E9B2")]
   public class GraphVisualizationInfo : DeepCloneable, IGraphVisualizationInfo {
     [StorableConstructor]
-    protected GraphVisualizationInfo(bool deserializing) : base() { }
+    protected GraphVisualizationInfo(StorableConstructorFlag _) { }
     protected GraphVisualizationInfo(GraphVisualizationInfo original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs	(revision 16462)
@@ -24,11 +24,11 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("330945A7-D7AF-42B9-91D2-06C1B00BC078")]
   public abstract class ShapeInfo : DeepCloneable, IShapeInfo {
     [StorableConstructor]
-    protected ShapeInfo(bool deserializing) : base() { }
+    protected ShapeInfo(StorableConstructorFlag _) { }
     protected ShapeInfo(ShapeInfo original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj	(revision 16462)
@@ -108,5 +108,5 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>..\..\packages\HEAL.Fossil.1.0.0\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
     </Reference>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs	(revision 16462)
@@ -27,8 +27,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("24376FA2-D635-4E10-85CC-FFE57C0788F9")]
   public sealed class OperatorGraphVisualizationInfo : GraphVisualizationInfo {
     [Storable]
@@ -45,6 +45,5 @@
 
     [StorableConstructor]
-    private OperatorGraphVisualizationInfo(bool deserializing)
-      : base(deserializing) {
+    private OperatorGraphVisualizationInfo(StorableConstructorFlag _) : base(_) {
       this.operatorParameterCollectionMapping = new BidirectionalLookup<IOperator, IKeyedItemCollection<string, IParameter>>();
       this.parameterOperatorMapping = new Dictionary<IParameter, IOperator>();
Index: branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("354155F1-6C42-42D3-99CB-9290CD11649B")]
   public class OperatorShapeInfo : ShapeInfo, IOperatorShapeInfo {
     [Storable]
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected OperatorShapeInfo(bool deserializing) : base(deserializing) { }
+    protected OperatorShapeInfo(StorableConstructorFlag _) : base(_) { }
 
     protected OperatorShapeInfo(OperatorShapeInfo original, Cloner cloner)
